<Project Sdk="Microsoft.NET.Sdk.Web">

	<PropertyGroup>
		<TargetFramework>net9.0</TargetFramework>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
		<UserSecretsId>aspnet-RobotNet.IdentityServer-e398adbb-379f-421d-8396-f36f060aca5f</UserSecretsId>
	</PropertyGroup>

	<ItemGroup>
		<PackageReference Include="BlazorComponentBus" Version="2.2.0" />
		<PackageReference Include="Microsoft.AspNetCore.Diagnostics.EntityFrameworkCore" Version="9.0.8" />
		<PackageReference Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" Version="9.0.8" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="9.0.8" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="9.0.8">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="MudBlazor" Version="8.11.0" />
		<PackageReference Include="OpenIddict.AspNetCore" Version="7.0.0" />
		<PackageReference Include="OpenIddict.EntityFrameworkCore" Version="7.0.0" />
		<PackageReference Include="OpenIddict.Quartz" Version="7.0.0" />
		<PackageReference Include="Quartz.Extensions.Hosting" Version="3.15.0" />
		<PackageReference Include="SixLabors.ImageSharp" Version="3.1.11" />
		<PackageReference Include="NLog" Version="6.0.3" />
		<PackageReference Include="NLog.Web.AspNetCore" Version="6.0.3" />
	</ItemGroup>

	<ItemGroup>
	  <Folder Include="Data\Migrations\" />
	</ItemGroup>

	<ItemGroup>
	  <Content Update="nlog.config">
	    <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
	    <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
	    <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
	  </Content>
	</ItemGroup>

</Project>
